@import "./fonts.css";

:root {
	--versenumbergap: 25px; /*;medzera medzi strofou a cislom*/
}

tabscont[data-position="up"] ~ #sect_cont {
    margin-top: 0;
    height: 100%;
}


/*  NAV LIST  */

ul.ul-nav-sectload {
    padding-left: 1.2em;
}
li.li-nav-sectload > .sng-prefix {
    margin-left: -1.2em;
    margin-right: 0.5em;
    color: initial;
    background-color: transparent;
}
li.li-nav-sectload .sng-prefix-after {
    margin-left: 0.7em;
}
li.li-nav-sectload > .sngnumb {
    float: right;
}
li.li-nav-sectload.inserted {
    color: gray;
    font-style: italic;
}
li.li-nav-sectload.space-after {
    margin-bottom: 1em;
}
ul.ul-nav-sectload h1 {
    font-size: 1rem;
    font-size: 1.1rem;
    font-weight: bold;
    color: Maroon;
    display: block !IMPORTANT;
    margin-left: 0px;
    border: 0.5px solid Maroon;
    position: sticky;
    background-color: #ffc9c9;
    padding-top: 8px;
    padding-bottom: 8px;
    margin-top: 8px;
}
ul.ul-nav-sectload h2 {
    font-size: 1em;
    margin-top: .2em;
    margin-bottom: .2em;
    padding-top: 8px;
    padding-bottom: 3px;    
    font-weight: bold;
    color: black;
    display: list-item !IMPORTANT;
    list-style: square outside;
    margin-left: 0px;
    background-color: lavender;
    padding-top: 8px;
    padding-bottom: 3px;
    font-size: 85%;
    list-style-type: none;
}

ul.ul-nav-sectload .page-after-break {
    text-align: center;
    color: gray;
    margin: 1em auto;
}


#sect_cont {
    font-size: 1.95rem;
	padding-left: 10px;
	padding-right: 20px;
}

#sect_cont > .page {
    font-size: 72%;
}


/*  piesne  */

.song {
    font-size: 1.95rem;
    padding-top: 1em;
}

.song > .name { 
    font-size: 100%;
    font-weight: bold;
}
.song .sngnumb-brackets  {
    display: inline-block;
    font-size: 55%;
    margin: 0px;
    margin-top: -7px;
    vertical-align: top;
}
.song > .lyrics {
    margin-top: 1em;
}
.song > .lyrics > .strophe {
    margin-bottom: 1em;
    margin-block-end: 1em;
}

.song > .lyrics > .strophe > .strophe-numb {

}
.song > .lyrics > .strophe > .strophe-numb::after {
    content: ". ";
}

.song > .lyrics > .strophe.chorus {
    color: #404040;
    font-style: italic;
}
.song > .lyrics > .strophe > .chorus-character:not(:empty) {
    padding-right: .3em;
}
.song > .lyrics > .strophe > .chorus-character:not(:empty)::after {
    content: " ";
}

/*footer*/
.song .footer > * {
    font-size: 40%;
    padding-left: 25px;
}
.song .footer .note {
    text-align: right;
    font-size: 54%;
    margin: 0px;
    padding: 0px;
    line-height: 90%;
}
.song .footer .tags {
    font-size: 45%;
    font-style: normal;
    display: block;
    overflow-wrap: break-word;
    font-family: var(--default_font);
}
.song .words {
    font-style: italic;
    font-size: 72%;
    margin: 0px;
    line-height: 90%;
}
.song .words-translated-by {
    font-size: 72%;
    margin: 0px;
    line-height: 90%;
    display: none;
}
.song .bibleref {
    font-size: 51%;
    margin: 0px;
    padding: 0px;
    line-height: 90%;
}

/*  zhkv  */
.song[data-songbook='zhkv'], .song[data-songbook='mladez'], .song[data-songbook='zhpcd'] {
    -webkit-columns: 400px 10;
    columns: 400px 10;
    column-rule: 2px solid black;
    column-gap: 40px;
    font-family: 'Ibarra Real Nova', serif;
    line-height: 90%;
}
.song[data-songbook='zhkv'] > .sngnumb, .song[data-songbook='zhpcd'] > .sngnumb {
    display: inline;
    font-size: 145%;
    font-weight: bold;
    padding-left: var(--versenumbergap);
    padding-top: 10px;
    margin: 0px;
}
.song[data-songbook='zhkv'] > .namesub, .song[data-songbook='zhpcd'] > .namesub {
    display: inline;
    font-size: 80%;
    font-weight: bold;
    padding-left: 25px;
    padding-top: 10px;
}
.song[data-songbook='zhkv'] > .lyrics, .song[data-songbook='mladez'] > .lyrics, .song[data-songbook='zhpcd'] > .lyrics {
    margin-top: 0px;
}
.song[data-songbook='zhkv'] > .lyrics > .strophe:first-child, .song[data-songbook='mladez'] > .lyrics > .strophe:first-child , .song[data-songbook='zhpcd'] > .lyrics > .strophe:first-child {
    -webkit-column-break-inside: avoid;
    padding-left: var(--versenumbergap);
    text-indent: 0px;
}
.song[data-songbook='zhkv'] > .lyrics > .strophe.chorus, .song[data-songbook='mladez'] > .lyrics > .strophe.chorus , .song[data-songbook='zhpcd'] > .lyrics > .strophe.chorus {
    -webkit-column-break-inside: avoid;
    padding-left: var(--versenumbergap);
    text-indent: 0px;
}
.song[data-songbook='zhkv'] > .lyrics > :first-child::first-letter, .song[data-songbook='mladez'] > .lyrics > :first-child::first-letter, .song[data-songbook='zhpcd'] > .lyrics > :first-child::first-letter {
    float: left;  
    font-size: 230%;  
    line-height: 40%;  
    padding-top: 14px; 
    padding-right: 0px;  
    padding-left: 0px;
} 
.song[data-songbook='zhkv'] > .lyrics > .strophe:first-child > .strophe-numb, .song[data-songbook='mladez'] > .lyrics > .strophe:first-child > .strophe-numb, .song[data-songbook='zhpcd'] > .lyrics > .strophe:first-child > .strophe-numb {
    display: none;
}
.song[data-songbook='zhkv'] > .lyrics > .strophe:last-child, .song[data-songbook='mladez'] > .lyrics > .strophe:last-child, .song[data-songbook='zhpcd'] > .lyrics > .strophe:last-child {
    margin-bottom: 3px;
    -webkit-column-break-before: avoid;
}
.song[data-songbook='zhkv'] > .lyrics > .strophe, .song[data-songbook='mladez'] > .lyrics > .strophe, .song[data-songbook='zhpcd'] > .lyrics > .strophe {
    -webkit-column-break-inside: avoid;
    padding-left: var(--versenumbergap);
    text-indent: calc(var(--versenumbergap)*(-1));
    margin-top: 0px;
}
.song[data-songbook='zhkv'] > .lyrics > .strophe > .strophe-numb, .song[data-songbook='mladez'] > .lyrics > .strophe > .strophe-numb, .song[data-songbook='zhpcd'] > .lyrics > .strophe > .strophe-numb {
    display: block;
    width: var(--versenumbergap);
    float: left;
}
.song[data-songbook='zhkv'] > .lyrics > .strophe > .strophe-numb::after, .song[data-songbook='mladez'] > .lyrics > .strophe > .strophe-numb::after, .song[data-songbook='zhpcd'] > .lyrics > .strophe > .strophe-numb::after {
    content: "";
}

.song[data-songbook='zhkv'] .album, .song[data-songbook='zhpcd'] .album {
    font-size: 47%;
    padding: 1px;
    padding-top: 1px;
    display: block;
    margin: 1px;
    text-align: right;
    color: gray;
    line-height: 90%;
    opacity: 0.5;
}
.song[data-songbook='zhkv'] .album-section, .song[data-songbook='zhpcd'] .album-section {
    font-size: 42%;
}
.song[data-songbook='zhkv'] .copyright, .song[data-songbook='zhpcd'] .copyright {
    font-size: 54%;
    margin: 0px;
    padding: 0px;
    line-height: 90%;
}
.song[data-songbook='zhkv'] > .footer, .song[data-songbook='mladez'] > .footer, .song[data-songbook='zhpcd'] > .footer {
    text-align: right;
}

/*  mladez  */

.song[data-songbook='mladez'] {
    font-family: "Palatino Linotype", "Book Antiqua", Palatino, serif;
}
.song[data-songbook='mladez'] > .lyrics {
    margin-block-start: 1em;
}
.song[data-songbook='mladez'] > .lyrics > .strophe .strophe-numb::first-letter {
    background-color: silver;
    color: white;
}
.song[data-songbook='mladez'] .album, .song[data-songbook='mladez'] .name {
    display: none;
}
.song[data-songbook='mladez'] .namesub {
    display: inline;
    font-size: 80%;
    font-weight: bold;
    padding-left: 25px;
    padding-top: 10px;
}

/*  besiedka  */

.song[data-songbook='besiedka'] {
    font-family: "Comic Sans MS", cursive, sans-serif;
    line-height: 155%;
}
.song[data-songbook='besiedka'] .strophe.chorus {
    color: Fuchsia;
}
.song[data-songbook='besiedka'] > .lyrics {
    color: DarkBlue;
}
.song[data-songbook='besiedka'] .album {
    display: none;
}


/*  chords  */

ch {
	color: #cc33ff;
	position: relative;
	display: inline;
	font-family:Georgia, serif;
	font-size:100%;
	font-weight: normal;
	font-style:normal;
	width:0; height:0;
	user-select:none;
	vertical-align: top;
    text-indent: 0;
}
ch > chrd {
	position: absolute; 
    left: 0px; 
    top: -7px;  
    white-space: nowrap;
	user-select:none;
    pointer-events: none;
}

.song.hasChords {
    margin-right:3em;
}
.song > .lyrics > .strophe.hasChords {
    line-height:2em;
    padding-top: 1em;
}
.song > .lyrics > .strophe.hasChords ch > chrd {
    top: -1.1em !important; 
	font-weight: normal; 
}
.song > .lyrics > .strophe.hasChords.chords-type-5 {
    line-height:2.5em;
}
.song > .lyrics > .strophe.hasChords.chords-type-5 ch > chrd {
    font-family:"EADGBEchordA";
	font-weight:normal;
	font-style:normal;
	font-size: 2em;
	top: -1.2em !important; 
}
.song > .lyrics > .strophe.hasChords.chords-type-5 ch > chrd .font-ignore {
	font-family: Georgia, serif;
}
.song[data-songbook='mladez'] ch > chrd {
    position: absolute;
    left: 0px;
    top: -15px;
    white-space: nowrap;
    user-select: none;
}

#tuneplayer {
    position: relative;
    bottom: 5px;
    margin-left: 20px;
    text-align: left;
    white-space: nowrap;
    display: inline;
}
#tuneplayer > .tune {
    padding-left: 5px;
    display: inline-block;
    height: 30px;
}
#tuneplayer .instr {
    filter: grayscale(100%);
    opacity: 0.25;
    height: 30px;
    border-bottom: transparent solid 2px;
    padding-bottom: 1px;
    display: inline-grid;
    cursor: pointer;
}
#tuneplayer .instr:hover, #tuneplayer .instr.playing {
	border-bottom-color:green;	
    filter: grayscale(0%);
    opacity:1;
}
#tuneplayer .instr.intro {
	animation: 1s infinite ease bubbleBorderStyle;
}
#tuneplayer .instr.paused {
	border-bottom-color:orange;	
    filter: grayscale(0%);
    opacity:1;
}
#tuneplayer .instr::before {
    content: "\00a0 ";
    width: 26px;
    height: 28px;
    display: inline-block;
    background-repeat: no-repeat;
    background-size: 30px 30px;
    background-position: center;
}

#tuneplayer > .tune:hover .instr{
	filter: grayscale(0%);
    opacity:1;
}
#tuneplayer .instr[data-instr="pno"]::before{	background-image: url(instr/pno.jpg); }
#tuneplayer .instr[data-instr="pno1"]::before{	background-image: url(instr/pno.jpg); }
#tuneplayer .instr[data-instr="pno2"]::before{	background-image: url(instr/pno.jpg); }
#tuneplayer .instr[data-instr="pno3"]::before{	background-image: url(instr/pno.jpg); }
#tuneplayer .instr[data-instr="organ"]::before{	background-image: url(instr/organ.jpg); } 
#tuneplayer .instr[data-instr="organ2"]::before{	background-image: url(instr/organ.jpg); } 
#tuneplayer .instr[data-instr="forgan"]::before{	background-image: url(instr/organ.jpg); }
#tuneplayer .instr[data-instr="hammond"]::before{	background-image: url(instr/hammond.jpg); }
#tuneplayer .instr[data-instr="harmonium"]::before{	background-image: url(instr/harmonium.jpg); }
#tuneplayer .instr[data-instr="melody"]::before{	background-image: url(instr/melody.jpg);}
#tuneplayer .instr[data-instr="guitar"]::before{	background-image: url(instr/guitar.jpg);}
#tuneplayer .instr[data-instr="guitar2"]::before{	background-image: url(instr/guitar.jpg);}
#tuneplayer .instr[data-instr="elguitar"]::before{	background-image: url(instr/elguitar.jpg);}
#tuneplayer .instr[data-instr="rockguitar"]::before{	background-image: url(instr/rockguitar.jpg);}
#tuneplayer .instr[data-instr="harp"]::before{	background-image: url(instr/harp.jpg);}
#tuneplayer .instr[data-instr="horn"]::before{	background-image: url(instr/horn.jpg);}
#tuneplayer .instr[data-instr="dulcimer"]::before{	background-image: url(instr/dulcimer.jpg);}
#tuneplayer .instr[data-instr="flute"]::before{	background-image: url(instr/flute.jpg);}
#tuneplayer .instr[data-instr="violin"]::before{	background-image: url(instr/violin.jpg);}
#tuneplayer .instr[data-instr="strings"]::before{	background-image: url(instr/strings.jpg);}
#tuneplayer .instr[data-instr="keyb"]::before{	background-image: url(instr/keyb.jpg);}
#tuneplayer .instr[data-instr="rec"]::before{	background-image: url(instr/rec.jpg);}
#tuneplayer .instr[data-instr="drums"]::before{	background-image: url(instr/drums.jpg);}
#tuneplayer .instr[data-instr="drumch"]::before{	background-image: url(instr/drumch.jpg);}
#tuneplayer .instr[data-instr="harp"]::before{	background-image: url(instr/harp.jpg);}
#tuneplayer .instr[data-instr="timpani"]::before{	background-image: url(instr/timpani.jpg);}
#tuneplayer .instr[data-instr="kids"]::before{	background-image: url(instr/kids.jpg);}


[data-mobile] header#header {
    border-bottom-style: solid;
}
[data-mobile] #tuneplayer {
    max-width: 100%;
    
    white-space: wrap !important;
    display: block;
    text-overflow: clip;
    overflow: hidden;
    overflow-x: none;
    height: 40px;
    position: static !important;
    bottom: 0px !important;
}
[data-mobile] #tuneplayer:hover {
    
    overflow-x: auto;	
}
[data-mobile] #tuneplayer::-webkit-scrollbar {
    width: 7px;
    height: 7px;
}

[data-mobile] #tuneplayer::-webkit-scrollbar-track {
    box-shadow: inset 0 0 0px grey; 
}
        
[data-mobile] #tuneplayer::-webkit-scrollbar-thumb {
        background: #92929255;  
}
[data-mobile] #tuneplayer::-webkit-scrollbar-thumb:hover {
        background: #92929255;
}


li.li-nav-sectload > .tunav {
    margin-left: .3em;
    color: silver;
}